# Configuration for Freedesktop SDK artifacts BuildStream cache
---
- hosts: test_cache_server
  become: yes
  become_method: sudo

  vars:
    ssl_url: cache-test.buildstream.build

  tasks:
  - name: import the variables used for this playbook
    include_vars: variables.yml

  - import_tasks: install.yml
  - import_tasks: buildbox.yml

  - name: create user groups before installation
    group:
      name: ssl_certs
      state: present

  - name: create users
    user:
      name: "artifacts"
      group: ssl_certs

  - import_tasks: disable-se-linux.yml
  - import_tasks: install-buildstream.yml

  # This command will fail loudly if the drive has already been mounted
  # so we can simply just skip this step
  # - import_tasks: mount_volume.yml

  - name: artifacts directory
    file: mode=2775 owner=artifacts path={{artifacts_repo}} state=directory

  - import_tasks: setup-certificates.yml
  - import_tasks: run-hydrated-and-nginx.yml